Page MenuHomePhabricator

[MLIR][NFC] applyPatternsGreedily -> applyPatternsAndFoldGreedily
ClosedPublic

Authored by bondhugula on Apr 4 2020, 6:30 PM.

Details

Summary

Rename mlir::applyPatternsGreedily -> applyPatternsAndFoldGreedily. The
new name is a more accurate description of the method - it performs
both, application of the specified patterns and folding of all ops in
the op's region irrespective of whether any patterns have been supplied.

Diff Detail

Unit TestsFailed

TimeTest
240 msLLVM.Other::Unknown Unit Message ("")
Script: -- : 'RUN: at line 19'; /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/opt -O3 -opt-bisect-limit=0 < /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/Other/opt-bisect-legacy-pass-manager.ll | /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/llc -O3 -opt-bisect-limit=0

Event Timeline

bondhugula created this revision.Apr 4 2020, 6:30 PM
Herald added a reviewer: herhut. · View Herald Transcript
Herald added 1 blocking reviewer(s): rriddle. · View Herald Transcript
Herald added a reviewer: aartbik. · View Herald Transcript
Herald added a project: Restricted Project. · View Herald Transcript
bondhugula updated this revision to Diff 255943.Apr 8 2020, 3:04 AM

Fix for upstream changes.

bondhugula updated this revision to Diff 255944.Apr 8 2020, 3:05 AM

Fix for upstream changes.

Harbormaster completed remote builds in B52324: Diff 255944.

Ping reviewers.

rriddle accepted this revision.Apr 9 2020, 10:59 AM
This revision is now accepted and ready to land.Apr 9 2020, 10:59 AM
aartbik accepted this revision.Apr 9 2020, 11:03 AM

Rebase - update another use.

This revision was automatically updated to reflect the committed changes.